| v_hdmirx Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions
xv_hdmirx_vsif.c File Reference

## Overview

Contains function definitions related to Vendor Specific InfoFrames used in HDMI.

Please see xv_hdmirx_vsif.h for more details of the driver.

    MODIFICATION HISTORY:

    Ver   Who  Date        Changes

    X.XX  XX  YYYY/MM/DD   ...
    1.00  RHe 2015/10/06   Initial release.
    1.01  YH  2017/07/19   Clean up Print Statement line ending to "\r\n"
    2.00  EB  2018/01/23   This file is deprecated. All the APIs are now moved
                                                to HDMI Common library

## Functions
int | XV_HdmiRx_VSIF_ParsePacket (XHdmiC_Aux *AuxPtr, XV_HdmiRx_VSIF *VSIFPtr)
| This function parses a Vendor Specific InfoFrame (VSIF). More...
void | XV_HdmiRx_VSIF_DisplayInfo (XV_HdmiRx_VSIF *VSIFPtr)
| This function displays the contents of an XV_HdmiRx_VSIF instance. More...
char * | XV_HdmiRx_VSIF_3DStructToString (XV_HdmiRx_3D_Struct_Field Item)
| This function returns a string representation of the enumerated type XV_HdmiRx_3D_Struct_Field. More...
char * | XV_HdmiRx_VSIF_3DSampMethodToString (XV_HdmiRx_3D_Sampling_Method Item)
| This function returns a string representation of the enumerated type XV_HdmiRx_3D_Sampling_Method. More...
char * | XV_HdmiRx_VSIF_3DSampPosToString (XV_HdmiRx_3D_Sampling_Position Item)
| This function returns a string representation of the enumerated type XV_HdmiRx_3D_Sampling_Position. More...

## Function Documentation

char* XV_HdmiRx_VSIF_3DSampMethodToString | ( | XV_HdmiRx_3D_Sampling_Method | Item | ) |

This function returns a string representation of the enumerated type XV_HdmiRx_3D_Sampling_Method.

Parameters

  Item | specifies the value to convert.

Returns
  Pointer to the converted string.

References XV_HDMIRX_3D_SAMPLING_HORIZONTAL, and XV_HDMIRX_3D_SAMPLING_QUINCUNX.

Referenced by XV_HdmiRx_VSIF_DisplayInfo().

char* XV_HdmiRx_VSIF_3DSampPosToString | ( | XV_HdmiRx_3D_Sampling_Position | Item | ) |

This function returns a string representation of the enumerated type XV_HdmiRx_3D_Sampling_Position.

Parameters

  Item | specifies the value to convert.

Returns
  Pointer to the converted string.

References XV_HDMIRX_3D_SAMPPOS_ELER, XV_HDMIRX_3D_SAMPPOS_ELOR, XV_HDMIRX_3D_SAMPPOS_OLER, and XV_HDMIRX_3D_SAMPPOS_OLOR.

Referenced by XV_HdmiRx_VSIF_DisplayInfo().

char* XV_HdmiRx_VSIF_3DStructToString | ( | XV_HdmiRx_3D_Struct_Field | Item | ) |

This function returns a string representation of the enumerated type XV_HdmiRx_3D_Struct_Field.

Parameters

  Item | specifies the value to convert.

Returns
  Pointer to the converted string.

References XV_HDMIRX_3D_STRUCT_FIELD_ALTERNATIVE, XV_HDMIRX_3D_STRUCT_FRAME_PACKING, XV_HDMIRX_3D_STRUCT_L_DEPTH, XV_HDMIRX_3D_STRUCT_L_DEPTH_GRAPH_GDEPTH, XV_HDMIRX_3D_STRUCT_LINE_ALTERNATIVE, XV_HDMIRX_3D_STRUCT_SIDE_BY_SIDE_FULL, XV_HDMIRX_3D_STRUCT_SIDE_BY_SIDE_HALF, and XV_HDMIRX_3D_STRUCT_TOP_AND_BOTTOM.

Referenced by XV_HdmiRx_VSIF_DisplayInfo().

void XV_HdmiRx_VSIF_DisplayInfo | ( | XV_HdmiRx_VSIF * | VSIFPtr | ) |

This function displays the contents of an XV_HdmiRx_VSIF instance.

Parameters

  VSIFPtr | is a pointer to the XV_HdmiRx_VSIF instance.

Returns
  None.

References XV_HdmiRx_VSIF::Format, XV_HdmiRx_VSIF::HDMI_VIC, XV_HdmiRx_VSIF::Info_3D, XV_HdmiRx_3D_MetaData::IsPresent, XV_HdmiRx_3D_Info::MetaData, XV_HDMIRX_3D_STRUCT_SIDE_BY_SIDE_HALF, XV_HdmiRx_VSIF_3DSampMethodToString(), XV_HdmiRx_VSIF_3DSampPosToString(), XV_HdmiRx_VSIF_3DStructToString(), XV_HDMIRX_VSIF_VF_3D, and XV_HDMIRX_VSIF_VF_EXTRES.

int XV_HdmiRx_VSIF_ParsePacket | ( | XHdmiC_Aux * | AuxPtr,
|  | XV_HdmiRx_VSIF * | VSIFPtr
| ) |  |

This function parses a Vendor Specific InfoFrame (VSIF).

Parameters

  AuxPtr | is a pointer to the XV_HdmiRx_Rx_Aux instance.
  VSIFPtr | is a pointer to the XV_HdmiRx_VSIF instance.

Returns
  - XST_SUCCESS if operation was successful
  - XST_FAILURE if an error was detected during parsing

References XV_HdmiRx_VSIF::Format, XV_HdmiRx_VSIF::HDMI_VIC, XV_HdmiRx_VSIF::IEEE_ID, XV_HdmiRx_VSIF::Info_3D, XV_HdmiRx_VSIF::Version, XV_HDMIRX_VSIF_VF_3D, XV_HDMIRX_VSIF_VF_EXTRES, and XV_HDMIRX_VSIF_VF_NOINFO.